package b4a.example;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	private static final boolean fullScreen = false;
	private static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "b4a.example", "main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                anywheresoftware.b4a.keywords.Common.Log("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
		activityBA = new BA(this, layout, processBA, "b4a.example", "main");
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        initializeProcessGlobals();		
        initializeGlobals();
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (mostCurrent == null || mostCurrent != this)
			return;
        processBA.setActivityPaused(false);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true)
				return true;
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public anywheresoftware.b4a.objects.ScrollViewWrapper _scvmitarbeiter = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
		Debug.PushSubsStack("Activity_Create (main) ","main",0,mostCurrent.activityBA,mostCurrent);
try {
anywheresoftware.b4a.objects.LabelWrapper _lbltitel = null;
anywheresoftware.b4a.objects.TabHostWrapper _tbhauswahl = null;
int _inttop = 0;
int _x = 0;
anywheresoftware.b4a.objects.PanelWrapper _pnlseite = null;
anywheresoftware.b4a.objects.PanelWrapper _pnlresourcezeile = null;
anywheresoftware.b4a.objects.LabelWrapper _lblrecouretitel1 = null;
anywheresoftware.b4a.objects.LabelWrapper _lblrecouretitel2 = null;
anywheresoftware.b4a.objects.LabelWrapper _lblrecouretitel3 = null;
anywheresoftware.b4a.objects.EditTextWrapper _txtmenge = null;
anywheresoftware.b4a.objects.SeekBarWrapper _skbauswahl = null;
int _y = 0;
anywheresoftware.b4a.objects.LabelWrapper _lblbezeichnung = null;
anywheresoftware.b4a.objects.PanelWrapper _pnlleistungzeile = null;
anywheresoftware.b4a.objects.LabelWrapper _lblleistungtitel1 = null;
anywheresoftware.b4a.objects.LabelWrapper _lblleistungtitel2 = null;
anywheresoftware.b4a.objects.LabelWrapper _lblleistungtitel3 = null;
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 18;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
Debug.ShouldStop(131072);
 BA.debugLineNum = 22;BA.debugLine="Dim lblTitel				As Label";
Debug.ShouldStop(2097152);
_lbltitel = new anywheresoftware.b4a.objects.LabelWrapper();Debug.locals.put("lblTitel", _lbltitel);
 BA.debugLineNum = 23;BA.debugLine="Dim tbhAuswahl				As TabHost";
Debug.ShouldStop(4194304);
_tbhauswahl = new anywheresoftware.b4a.objects.TabHostWrapper();Debug.locals.put("tbhAuswahl", _tbhauswahl);
 BA.debugLineNum = 25;BA.debugLine="Dim intTop As Int				:intTop = 10dip";
Debug.ShouldStop(16777216);
_inttop = 0;Debug.locals.put("intTop", _inttop);
 BA.debugLineNum = 25;BA.debugLine="Dim intTop As Int				:intTop = 10dip";
Debug.ShouldStop(16777216);
_inttop = anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(10));Debug.locals.put("intTop", _inttop);
 BA.debugLineNum = 27;BA.debugLine="lblTitel.Initialize(\"\")";
Debug.ShouldStop(67108864);
_lbltitel.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 28;BA.debugLine="tbhAuswahl.Initialize(\"\")";
Debug.ShouldStop(134217728);
_tbhauswahl.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 30;BA.debugLine="Activity.AddView(lblTitel, 0dip, intTop, 100%x, 50dip)";
Debug.ShouldStop(536870912);
mostCurrent._activity.AddView((android.view.View)(_lbltitel.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),_inttop,anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(50)));
 BA.debugLineNum = 32;BA.debugLine="lblTitel.Text = \"Titel\"";
Debug.ShouldStop(-2147483648);
_lbltitel.setText((Object)("Titel"));
 BA.debugLineNum = 34;BA.debugLine="intTop = intTop + lblTitel.Height + 10dip";
Debug.ShouldStop(2);
_inttop = (int)(_inttop+_lbltitel.getHeight()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(10)));Debug.locals.put("intTop", _inttop);
 BA.debugLineNum = 36;BA.debugLine="Activity.AddView(tbhAuswahl, 0dip, intTop, 100%x, Activity.Height - intTop)";
Debug.ShouldStop(8);
mostCurrent._activity.AddView((android.view.View)(_tbhauswahl.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),_inttop,anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),(int)(mostCurrent._activity.getHeight()-_inttop));
 BA.debugLineNum = 38;BA.debugLine="For x = 1 To 3";
Debug.ShouldStop(32);
{
final double step16 = 1;
final double limit16 = (int)(3);
for (_x = (int)(1); (step16 > 0 && _x <= limit16) || (step16 < 0 && _x >= limit16); _x += step16) {
Debug.locals.put("x", _x);
 BA.debugLineNum = 40;BA.debugLine="Dim pnlSeite As Panel";
Debug.ShouldStop(128);
_pnlseite = new anywheresoftware.b4a.objects.PanelWrapper();Debug.locals.put("pnlSeite", _pnlseite);
 BA.debugLineNum = 42;BA.debugLine="intTop = 5dip";
Debug.ShouldStop(512);
_inttop = anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(5));Debug.locals.put("intTop", _inttop);
 BA.debugLineNum = 44;BA.debugLine="scvMitarbeiter.Initialize(100%y)";
Debug.ShouldStop(2048);
mostCurrent._scvmitarbeiter.Initialize(mostCurrent.activityBA,anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(100),mostCurrent.activityBA));
 BA.debugLineNum = 45;BA.debugLine="tbhAuswahl.AddTab2(\"MA \" & x, scvMitarbeiter)";
Debug.ShouldStop(4096);
_tbhauswahl.AddTab2("MA "+BA.NumberToString(_x),(android.view.View)(mostCurrent._scvmitarbeiter.getObject()));
 BA.debugLineNum = 47;BA.debugLine="pnlSeite = scvMitarbeiter.Panel";
Debug.ShouldStop(16384);
_pnlseite = mostCurrent._scvmitarbeiter.getPanel();Debug.locals.put("pnlSeite", _pnlseite);
 BA.debugLineNum = 50;BA.debugLine="Dim pnlResourceZeile As Panel";
Debug.ShouldStop(131072);
_pnlresourcezeile = new anywheresoftware.b4a.objects.PanelWrapper();Debug.locals.put("pnlResourceZeile", _pnlresourcezeile);
 BA.debugLineNum = 51;BA.debugLine="Dim lblRecoureTitel1, lblRecoureTitel2, lblRecoureTitel3 As Label";
Debug.ShouldStop(262144);
_lblrecouretitel1 = new anywheresoftware.b4a.objects.LabelWrapper();Debug.locals.put("lblRecoureTitel1", _lblrecouretitel1);
_lblrecouretitel2 = new anywheresoftware.b4a.objects.LabelWrapper();Debug.locals.put("lblRecoureTitel2", _lblrecouretitel2);
_lblrecouretitel3 = new anywheresoftware.b4a.objects.LabelWrapper();Debug.locals.put("lblRecoureTitel3", _lblrecouretitel3);
 BA.debugLineNum = 52;BA.debugLine="Dim txtMenge As EditText";
Debug.ShouldStop(524288);
_txtmenge = new anywheresoftware.b4a.objects.EditTextWrapper();Debug.locals.put("txtMenge", _txtmenge);
 BA.debugLineNum = 53;BA.debugLine="Dim skbAuswahl As SeekBar";
Debug.ShouldStop(1048576);
_skbauswahl = new anywheresoftware.b4a.objects.SeekBarWrapper();Debug.locals.put("skbAuswahl", _skbauswahl);
 BA.debugLineNum = 55;BA.debugLine="pnlResourceZeile.Initialize(\"\")";
Debug.ShouldStop(4194304);
_pnlresourcezeile.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 56;BA.debugLine="pnlResourceZeile.Tag = \"ResourceTitel\"";
Debug.ShouldStop(8388608);
_pnlresourcezeile.setTag((Object)("ResourceTitel"));
 BA.debugLineNum = 58;BA.debugLine="lblRecoureTitel1.Initialize(\"\")";
Debug.ShouldStop(33554432);
_lblrecouretitel1.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 59;BA.debugLine="lblRecoureTitel1.Text = \"Resource\"";
Debug.ShouldStop(67108864);
_lblrecouretitel1.setText((Object)("Resource"));
 BA.debugLineNum = 60;BA.debugLine="pnlResourceZeile.AddView(lblRecoureTitel1, 0dip, 0dip, 100%x, 20dip)";
Debug.ShouldStop(134217728);
_pnlresourcezeile.AddView((android.view.View)(_lblrecouretitel1.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(20)));
 BA.debugLineNum = 62;BA.debugLine="lblRecoureTitel2.Initialize(\"\")";
Debug.ShouldStop(536870912);
_lblrecouretitel2.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 63;BA.debugLine="lblRecoureTitel2.Text = \"Fahrer\"";
Debug.ShouldStop(1073741824);
_lblrecouretitel2.setText((Object)("Fahrer"));
 BA.debugLineNum = 64;BA.debugLine="pnlResourceZeile.AddView(lblRecoureTitel2, 0dip, 0dip, 100%x, 20dip)";
Debug.ShouldStop(-2147483648);
_pnlresourcezeile.AddView((android.view.View)(_lblrecouretitel2.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(20)));
 BA.debugLineNum = 66;BA.debugLine="lblRecoureTitel3.Initialize(\"\")";
Debug.ShouldStop(2);
_lblrecouretitel3.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 67;BA.debugLine="lblRecoureTitel3.Text = \"Auswahl\"";
Debug.ShouldStop(4);
_lblrecouretitel3.setText((Object)("Auswahl"));
 BA.debugLineNum = 68;BA.debugLine="pnlResourceZeile.AddView(lblRecoureTitel3, 0dip, 0dip, 100%x, 20dip)";
Debug.ShouldStop(8);
_pnlresourcezeile.AddView((android.view.View)(_lblrecouretitel3.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(20)));
 BA.debugLineNum = 71;BA.debugLine="lblRecoureTitel1.Width = ((tbhAuswahl.Width - 10dip )/2) - 70dip - 3dip";
Debug.ShouldStop(64);
_lblrecouretitel1.setWidth((int)(((_tbhauswahl.getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(10)))/(double)2)-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(70))-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(3))));
 BA.debugLineNum = 72;BA.debugLine="lblRecoureTitel2.Width = 70dip";
Debug.ShouldStop(128);
_lblrecouretitel2.setWidth(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(70)));
 BA.debugLineNum = 73;BA.debugLine="lblRecoureTitel3.Width = ((tbhAuswahl.Width - 10dip )/2) - 5dip";
Debug.ShouldStop(256);
_lblrecouretitel3.setWidth((int)(((_tbhauswahl.getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(10)))/(double)2)-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(5))));
 BA.debugLineNum = 75;BA.debugLine="lblRecoureTitel1.Left = 0dip";
Debug.ShouldStop(1024);
_lblrecouretitel1.setLeft(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)));
 BA.debugLineNum = 76;BA.debugLine="lblRecoureTitel2.Left = lblRecoureTitel1.Left + lblRecoureTitel1.Width + 2dip";
Debug.ShouldStop(2048);
_lblrecouretitel2.setLeft((int)(_lblrecouretitel1.getLeft()+_lblrecouretitel1.getWidth()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(2))));
 BA.debugLineNum = 77;BA.debugLine="lblRecoureTitel3.Left = lblRecoureTitel2.Left + lblRecoureTitel2.Width + 2dip";
Debug.ShouldStop(4096);
_lblrecouretitel3.setLeft((int)(_lblrecouretitel2.getLeft()+_lblrecouretitel2.getWidth()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(2))));
 BA.debugLineNum = 79;BA.debugLine="pnlSeite.AddView(pnlResourceZeile, 0dip, intTop, 100%x, 40dip)";
Debug.ShouldStop(16384);
_pnlseite.AddView((android.view.View)(_pnlresourcezeile.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),_inttop,anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(40)));
 BA.debugLineNum = 81;BA.debugLine="intTop = intTop + 30dip + 5dip";
Debug.ShouldStop(65536);
_inttop = (int)(_inttop+anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(30))+anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(5)));Debug.locals.put("intTop", _inttop);
 BA.debugLineNum = 83;BA.debugLine="For y = 1 To 1";
Debug.ShouldStop(262144);
{
final double step45 = 1;
final double limit45 = (int)(1);
for (_y = (int)(1); (step45 > 0 && _y <= limit45) || (step45 < 0 && _y >= limit45); _y += step45) {
Debug.locals.put("y", _y);
 BA.debugLineNum = 85;BA.debugLine="Dim pnlResourceZeile As Panel";
Debug.ShouldStop(1048576);
_pnlresourcezeile = new anywheresoftware.b4a.objects.PanelWrapper();Debug.locals.put("pnlResourceZeile", _pnlresourcezeile);
 BA.debugLineNum = 86;BA.debugLine="Dim lblBezeichnung As Label";
Debug.ShouldStop(2097152);
_lblbezeichnung = new anywheresoftware.b4a.objects.LabelWrapper();Debug.locals.put("lblBezeichnung", _lblbezeichnung);
 BA.debugLineNum = 87;BA.debugLine="Dim txtMenge As EditText";
Debug.ShouldStop(4194304);
_txtmenge = new anywheresoftware.b4a.objects.EditTextWrapper();Debug.locals.put("txtMenge", _txtmenge);
 BA.debugLineNum = 88;BA.debugLine="Dim skbAuswahl As SeekBar";
Debug.ShouldStop(8388608);
_skbauswahl = new anywheresoftware.b4a.objects.SeekBarWrapper();Debug.locals.put("skbAuswahl", _skbauswahl);
 BA.debugLineNum = 90;BA.debugLine="pnlResourceZeile.Initialize(\"\")";
Debug.ShouldStop(33554432);
_pnlresourcezeile.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 91;BA.debugLine="pnlResourceZeile.Tag = (x * 1000) + y";
Debug.ShouldStop(67108864);
_pnlresourcezeile.setTag((Object)((_x*1000)+_y));
 BA.debugLineNum = 93;BA.debugLine="lblBezeichnung.Initialize(\"\")";
Debug.ShouldStop(268435456);
_lblbezeichnung.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 94;BA.debugLine="lblBezeichnung.Text = \"Auto \" & x & \" \" & y";
Debug.ShouldStop(536870912);
_lblbezeichnung.setText((Object)("Auto "+BA.NumberToString(_x)+" "+BA.NumberToString(_y)));
 BA.debugLineNum = 95;BA.debugLine="pnlResourceZeile.AddView(lblBezeichnung, 0dip, 0dip, 100%x, 40dip)";
Debug.ShouldStop(1073741824);
_pnlresourcezeile.AddView((android.view.View)(_lblbezeichnung.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(40)));
 BA.debugLineNum = 97;BA.debugLine="txtMenge.Initialize(\"txtMenge\")";
Debug.ShouldStop(1);
_txtmenge.Initialize(mostCurrent.activityBA,"txtMenge");
 BA.debugLineNum = 98;BA.debugLine="txtMenge.Tag = \"Resource \" & ((x * 1000) + y)";
Debug.ShouldStop(2);
_txtmenge.setTag((Object)("Resource "+BA.NumberToString(((_x*1000)+_y))));
 BA.debugLineNum = 99;BA.debugLine="pnlResourceZeile.AddView(txtMenge, 0dip, 0dip, 100%x, 40dip)";
Debug.ShouldStop(4);
_pnlresourcezeile.AddView((android.view.View)(_txtmenge.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(40)));
 BA.debugLineNum = 101;BA.debugLine="skbAuswahl.Initialize(\"skbAuswahl\")";
Debug.ShouldStop(16);
_skbauswahl.Initialize(mostCurrent.activityBA,"skbAuswahl");
 BA.debugLineNum = 102;BA.debugLine="skbAuswahl.Tag = \"Resource \" & ((x * 1000) + y)";
Debug.ShouldStop(32);
_skbauswahl.setTag((Object)("Resource "+BA.NumberToString(((_x*1000)+_y))));
 BA.debugLineNum = 103;BA.debugLine="skbAuswahl.Max = 1";
Debug.ShouldStop(64);
_skbauswahl.setMax((int)(1));
 BA.debugLineNum = 104;BA.debugLine="pnlResourceZeile.AddView(skbAuswahl, 0dip, 0dip, 100%x, 30dip)";
Debug.ShouldStop(128);
_pnlresourcezeile.AddView((android.view.View)(_skbauswahl.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(30)));
 BA.debugLineNum = 106;BA.debugLine="lblBezeichnung.Width = ((tbhAuswahl.Width - 10dip )/2) - 70dip - 3dip";
Debug.ShouldStop(512);
_lblbezeichnung.setWidth((int)(((_tbhauswahl.getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(10)))/(double)2)-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(70))-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(3))));
 BA.debugLineNum = 107;BA.debugLine="txtMenge.Width = 70dip";
Debug.ShouldStop(1024);
_txtmenge.setWidth(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(70)));
 BA.debugLineNum = 108;BA.debugLine="skbAuswahl.Width = ((tbhAuswahl.Width - 10dip )/2) - 5dip";
Debug.ShouldStop(2048);
_skbauswahl.setWidth((int)(((_tbhauswahl.getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(10)))/(double)2)-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(5))));
 BA.debugLineNum = 110;BA.debugLine="lblBezeichnung.Left = 0dip";
Debug.ShouldStop(8192);
_lblbezeichnung.setLeft(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)));
 BA.debugLineNum = 111;BA.debugLine="txtMenge.Left = lblBezeichnung.Left + lblBezeichnung.Width + 2dip";
Debug.ShouldStop(16384);
_txtmenge.setLeft((int)(_lblbezeichnung.getLeft()+_lblbezeichnung.getWidth()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(2))));
 BA.debugLineNum = 112;BA.debugLine="skbAuswahl.Left = txtMenge.Left + txtMenge.Width + 2dip";
Debug.ShouldStop(32768);
_skbauswahl.setLeft((int)(_txtmenge.getLeft()+_txtmenge.getWidth()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(2))));
 BA.debugLineNum = 114;BA.debugLine="pnlSeite.AddView(pnlResourceZeile, 0dip, intTop, 100%x, 40dip)";
Debug.ShouldStop(131072);
_pnlseite.AddView((android.view.View)(_pnlresourcezeile.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),_inttop,anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(40)));
 BA.debugLineNum = 116;BA.debugLine="intTop = intTop + 40dip + 5dip";
Debug.ShouldStop(524288);
_inttop = (int)(_inttop+anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(40))+anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(5)));Debug.locals.put("intTop", _inttop);
 }
}Debug.locals.put("y", _y);
;
 BA.debugLineNum = 121;BA.debugLine="Dim pnlLeistungZeile As Panel";
Debug.ShouldStop(16777216);
_pnlleistungzeile = new anywheresoftware.b4a.objects.PanelWrapper();Debug.locals.put("pnlLeistungZeile", _pnlleistungzeile);
 BA.debugLineNum = 122;BA.debugLine="Dim lblLeistungTitel1, lblLeistungTitel2, lblLeistungTitel3 As Label";
Debug.ShouldStop(33554432);
_lblleistungtitel1 = new anywheresoftware.b4a.objects.LabelWrapper();Debug.locals.put("lblLeistungTitel1", _lblleistungtitel1);
_lblleistungtitel2 = new anywheresoftware.b4a.objects.LabelWrapper();Debug.locals.put("lblLeistungTitel2", _lblleistungtitel2);
_lblleistungtitel3 = new anywheresoftware.b4a.objects.LabelWrapper();Debug.locals.put("lblLeistungTitel3", _lblleistungtitel3);
 BA.debugLineNum = 123;BA.debugLine="Dim txtMenge As EditText";
Debug.ShouldStop(67108864);
_txtmenge = new anywheresoftware.b4a.objects.EditTextWrapper();Debug.locals.put("txtMenge", _txtmenge);
 BA.debugLineNum = 124;BA.debugLine="Dim skbAuswahl As SeekBar";
Debug.ShouldStop(134217728);
_skbauswahl = new anywheresoftware.b4a.objects.SeekBarWrapper();Debug.locals.put("skbAuswahl", _skbauswahl);
 BA.debugLineNum = 126;BA.debugLine="pnlResourceZeile.Initialize(\"\")";
Debug.ShouldStop(536870912);
_pnlresourcezeile.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 127;BA.debugLine="pnlResourceZeile.Tag = \"LeistungTitel\"";
Debug.ShouldStop(1073741824);
_pnlresourcezeile.setTag((Object)("LeistungTitel"));
 BA.debugLineNum = 129;BA.debugLine="lblLeistungTitel1.Initialize(\"\")";
Debug.ShouldStop(1);
_lblleistungtitel1.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 130;BA.debugLine="lblLeistungTitel1.Text = \"Arbeit\"";
Debug.ShouldStop(2);
_lblleistungtitel1.setText((Object)("Arbeit"));
 BA.debugLineNum = 131;BA.debugLine="pnlResourceZeile.AddView(lblLeistungTitel1, 0dip, 0dip, 100%x, 20dip)";
Debug.ShouldStop(4);
_pnlresourcezeile.AddView((android.view.View)(_lblleistungtitel1.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(20)));
 BA.debugLineNum = 133;BA.debugLine="lblLeistungTitel2.Initialize(\"\")";
Debug.ShouldStop(16);
_lblleistungtitel2.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 134;BA.debugLine="lblLeistungTitel2.Text = \"8.00 Std.\"";
Debug.ShouldStop(32);
_lblleistungtitel2.setText((Object)("8.00 Std."));
 BA.debugLineNum = 135;BA.debugLine="pnlResourceZeile.AddView(lblLeistungTitel2, 0dip, 0dip, 100%x, 20dip)";
Debug.ShouldStop(64);
_pnlresourcezeile.AddView((android.view.View)(_lblleistungtitel2.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(20)));
 BA.debugLineNum = 137;BA.debugLine="lblLeistungTitel3.Initialize(\"\")";
Debug.ShouldStop(256);
_lblleistungtitel3.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 138;BA.debugLine="lblLeistungTitel3.Text = \"Stunden\"";
Debug.ShouldStop(512);
_lblleistungtitel3.setText((Object)("Stunden"));
 BA.debugLineNum = 139;BA.debugLine="pnlResourceZeile.AddView(lblLeistungTitel3, 0dip, 0dip, 100%x, 20dip)";
Debug.ShouldStop(1024);
_pnlresourcezeile.AddView((android.view.View)(_lblleistungtitel3.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(20)));
 BA.debugLineNum = 141;BA.debugLine="lblLeistungTitel1.Width = ((tbhAuswahl.Width - 10dip )/2) - 70dip - 3dip";
Debug.ShouldStop(4096);
_lblleistungtitel1.setWidth((int)(((_tbhauswahl.getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(10)))/(double)2)-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(70))-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(3))));
 BA.debugLineNum = 142;BA.debugLine="lblLeistungTitel2.Width = 70dip";
Debug.ShouldStop(8192);
_lblleistungtitel2.setWidth(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(70)));
 BA.debugLineNum = 143;BA.debugLine="lblLeistungTitel3.Width = ((tbhAuswahl.Width - 10dip )/2) - 5dip";
Debug.ShouldStop(16384);
_lblleistungtitel3.setWidth((int)(((_tbhauswahl.getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(10)))/(double)2)-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(5))));
 BA.debugLineNum = 145;BA.debugLine="lblLeistungTitel1.Left = 0dip";
Debug.ShouldStop(65536);
_lblleistungtitel1.setLeft(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)));
 BA.debugLineNum = 146;BA.debugLine="lblLeistungTitel2.Left = lblLeistungTitel1.Left + lblLeistungTitel1.Width + 2dip";
Debug.ShouldStop(131072);
_lblleistungtitel2.setLeft((int)(_lblleistungtitel1.getLeft()+_lblleistungtitel1.getWidth()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(2))));
 BA.debugLineNum = 147;BA.debugLine="lblLeistungTitel3.Left = lblLeistungTitel2.Left + lblLeistungTitel2.Width + 2dip";
Debug.ShouldStop(262144);
_lblleistungtitel3.setLeft((int)(_lblleistungtitel2.getLeft()+_lblleistungtitel2.getWidth()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(2))));
 BA.debugLineNum = 149;BA.debugLine="pnlSeite.AddView(pnlResourceZeile, 0dip, intTop, 100%x, 40dip)";
Debug.ShouldStop(1048576);
_pnlseite.AddView((android.view.View)(_pnlresourcezeile.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),_inttop,anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(40)));
 BA.debugLineNum = 151;BA.debugLine="intTop = intTop + 30dip + 5dip";
Debug.ShouldStop(4194304);
_inttop = (int)(_inttop+anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(30))+anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(5)));Debug.locals.put("intTop", _inttop);
 BA.debugLineNum = 153;BA.debugLine="For y = 1 To 10";
Debug.ShouldStop(16777216);
{
final double step94 = 1;
final double limit94 = (int)(10);
for (_y = (int)(1); (step94 > 0 && _y <= limit94) || (step94 < 0 && _y >= limit94); _y += step94) {
Debug.locals.put("y", _y);
 BA.debugLineNum = 155;BA.debugLine="Dim pnlLeistungZeile As Panel";
Debug.ShouldStop(67108864);
_pnlleistungzeile = new anywheresoftware.b4a.objects.PanelWrapper();Debug.locals.put("pnlLeistungZeile", _pnlleistungzeile);
 BA.debugLineNum = 156;BA.debugLine="Dim lblBezeichnung As Label";
Debug.ShouldStop(134217728);
_lblbezeichnung = new anywheresoftware.b4a.objects.LabelWrapper();Debug.locals.put("lblBezeichnung", _lblbezeichnung);
 BA.debugLineNum = 157;BA.debugLine="Dim txtMenge As EditText";
Debug.ShouldStop(268435456);
_txtmenge = new anywheresoftware.b4a.objects.EditTextWrapper();Debug.locals.put("txtMenge", _txtmenge);
 BA.debugLineNum = 158;BA.debugLine="Dim skbAuswahl As SeekBar";
Debug.ShouldStop(536870912);
_skbauswahl = new anywheresoftware.b4a.objects.SeekBarWrapper();Debug.locals.put("skbAuswahl", _skbauswahl);
 BA.debugLineNum = 160;BA.debugLine="pnlLeistungZeile.Initialize(\"\")";
Debug.ShouldStop(-2147483648);
_pnlleistungzeile.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 161;BA.debugLine="pnlLeistungZeile.Tag = (x * 1000) + y";
Debug.ShouldStop(1);
_pnlleistungzeile.setTag((Object)((_x*1000)+_y));
 BA.debugLineNum = 163;BA.debugLine="lblBezeichnung.Initialize(\"\")";
Debug.ShouldStop(4);
_lblbezeichnung.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 164;BA.debugLine="lblBezeichnung.Text = \"Arbeit \" & x & \" \" & y";
Debug.ShouldStop(8);
_lblbezeichnung.setText((Object)("Arbeit "+BA.NumberToString(_x)+" "+BA.NumberToString(_y)));
 BA.debugLineNum = 165;BA.debugLine="pnlLeistungZeile.AddView(lblBezeichnung, 0dip, 0dip, 100%x, 40dip)";
Debug.ShouldStop(16);
_pnlleistungzeile.AddView((android.view.View)(_lblbezeichnung.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(40)));
 BA.debugLineNum = 167;BA.debugLine="txtMenge.Initialize(\"txtMenge\")";
Debug.ShouldStop(64);
_txtmenge.Initialize(mostCurrent.activityBA,"txtMenge");
 BA.debugLineNum = 168;BA.debugLine="txtMenge.Tag = \"Leistung \" & ((x * 1000) + y)";
Debug.ShouldStop(128);
_txtmenge.setTag((Object)("Leistung "+BA.NumberToString(((_x*1000)+_y))));
 BA.debugLineNum = 169;BA.debugLine="pnlLeistungZeile.AddView(txtMenge, 0dip, 0dip, 100%x, 40dip)";
Debug.ShouldStop(256);
_pnlleistungzeile.AddView((android.view.View)(_txtmenge.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(40)));
 BA.debugLineNum = 171;BA.debugLine="skbAuswahl.Initialize(\"skbAuswahl\")";
Debug.ShouldStop(1024);
_skbauswahl.Initialize(mostCurrent.activityBA,"skbAuswahl");
 BA.debugLineNum = 172;BA.debugLine="skbAuswahl.Tag = \"Leistung \" & ((x * 1000) + y)";
Debug.ShouldStop(2048);
_skbauswahl.setTag((Object)("Leistung "+BA.NumberToString(((_x*1000)+_y))));
 BA.debugLineNum = 173;BA.debugLine="skbAuswahl.Max = 8";
Debug.ShouldStop(4096);
_skbauswahl.setMax((int)(8));
 BA.debugLineNum = 174;BA.debugLine="pnlLeistungZeile.AddView(skbAuswahl, 0dip, 0dip, 100%x, 30dip)";
Debug.ShouldStop(8192);
_pnlleistungzeile.AddView((android.view.View)(_skbauswahl.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(30)));
 BA.debugLineNum = 176;BA.debugLine="lblBezeichnung.Width = ((tbhAuswahl.Width - 10dip )/2) - 70dip - 3dip";
Debug.ShouldStop(32768);
_lblbezeichnung.setWidth((int)(((_tbhauswahl.getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(10)))/(double)2)-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(70))-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(3))));
 BA.debugLineNum = 177;BA.debugLine="txtMenge.Width = 70dip";
Debug.ShouldStop(65536);
_txtmenge.setWidth(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(70)));
 BA.debugLineNum = 178;BA.debugLine="skbAuswahl.Width = ((tbhAuswahl.Width - 10dip )/2) - 5dip";
Debug.ShouldStop(131072);
_skbauswahl.setWidth((int)(((_tbhauswahl.getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(10)))/(double)2)-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(5))));
 BA.debugLineNum = 180;BA.debugLine="lblBezeichnung.Left = 0dip";
Debug.ShouldStop(524288);
_lblbezeichnung.setLeft(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)));
 BA.debugLineNum = 181;BA.debugLine="txtMenge.Left = lblBezeichnung.Left + lblBezeichnung.Width + 2dip";
Debug.ShouldStop(1048576);
_txtmenge.setLeft((int)(_lblbezeichnung.getLeft()+_lblbezeichnung.getWidth()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(2))));
 BA.debugLineNum = 182;BA.debugLine="skbAuswahl.Left = txtMenge.Left + txtMenge.Width + 2dip";
Debug.ShouldStop(2097152);
_skbauswahl.setLeft((int)(_txtmenge.getLeft()+_txtmenge.getWidth()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(2))));
 BA.debugLineNum = 184;BA.debugLine="pnlSeite.AddView(pnlLeistungZeile, 0dip, intTop, 100%x, 40dip)";
Debug.ShouldStop(8388608);
_pnlseite.AddView((android.view.View)(_pnlleistungzeile.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),_inttop,anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(40)));
 BA.debugLineNum = 186;BA.debugLine="intTop = intTop + 40dip + 5dip";
Debug.ShouldStop(33554432);
_inttop = (int)(_inttop+anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(40))+anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(5)));Debug.locals.put("intTop", _inttop);
 }
}Debug.locals.put("y", _y);
;
 BA.debugLineNum = 190;BA.debugLine="pnlSeite.Height = intTop";
Debug.ShouldStop(536870912);
_pnlseite.setHeight(_inttop);
 }
}Debug.locals.put("x", _x);
;
 BA.debugLineNum = 194;BA.debugLine="End Sub";
Debug.ShouldStop(2);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _activity_pause(boolean _userclosed) throws Exception{
		Debug.PushSubsStack("Activity_Pause (main) ","main",0,mostCurrent.activityBA,mostCurrent);
try {
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 200;BA.debugLine="Sub Activity_Pause(UserClosed As Boolean)";
Debug.ShouldStop(128);
 BA.debugLineNum = 202;BA.debugLine="End Sub";
Debug.ShouldStop(512);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _activity_resume() throws Exception{
		Debug.PushSubsStack("Activity_Resume (main) ","main",0,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 196;BA.debugLine="Sub Activity_Resume";
Debug.ShouldStop(8);
 BA.debugLineNum = 198;BA.debugLine="End Sub";
Debug.ShouldStop(32);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}

public static void initializeProcessGlobals() {
    if (mostCurrent != null && mostCurrent.activityBA != null) {
Debug.StartDebugging(mostCurrent.activityBA, 16551, new int[] {8}, "54781ae9-0822-48e3-b73f-15c5679dd85c");}

    if (processGlobalsRun == false) {
	    processGlobalsRun = true;
		try {
		        main._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}

public static void killProgram() {
    
            if (main.previousOne != null) {
				Activity a = main.previousOne.get();
				if (a != null)
					a.finish();
			}

}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 8;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 14;BA.debugLine="Dim scvMitarbeiter 			As ScrollView";
mostCurrent._scvmitarbeiter = new anywheresoftware.b4a.objects.ScrollViewWrapper();
 //BA.debugLineNum = 16;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 2;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 6;BA.debugLine="End Sub";
return "";
}
public static String  _skbauswahl_valuechanged(int _value,boolean _userchanged) throws Exception{
		Debug.PushSubsStack("skbAuswahl_ValueChanged (main) ","main",0,mostCurrent.activityBA,mostCurrent);
try {
anywheresoftware.b4a.objects.PanelWrapper _panel1 = null;
anywheresoftware.b4a.objects.ConcreteViewWrapper _send = null;
int _ma = 0;
int _arbeit = 0;
anywheresoftware.b4a.objects.EditTextWrapper _feld = null;
int _x = 0;
anywheresoftware.b4a.objects.ConcreteViewWrapper _v = null;
Debug.locals.put("Value", _value);
Debug.locals.put("UserChanged", _userchanged);
 BA.debugLineNum = 204;BA.debugLine="Sub skbAuswahl_ValueChanged (Value As Int, UserChanged As Boolean)";
Debug.ShouldStop(2048);
 BA.debugLineNum = 206;BA.debugLine="Dim Panel1 As Panel";
Debug.ShouldStop(8192);
_panel1 = new anywheresoftware.b4a.objects.PanelWrapper();Debug.locals.put("Panel1", _panel1);
 BA.debugLineNum = 207;BA.debugLine="Dim Send As View";
Debug.ShouldStop(16384);
_send = new anywheresoftware.b4a.objects.ConcreteViewWrapper();Debug.locals.put("Send", _send);
 BA.debugLineNum = 208;BA.debugLine="Dim MA, Arbeit As Int";
Debug.ShouldStop(32768);
_ma = 0;Debug.locals.put("MA", _ma);
_arbeit = 0;Debug.locals.put("Arbeit", _arbeit);
 BA.debugLineNum = 209;BA.debugLine="Dim Feld As EditText";
Debug.ShouldStop(65536);
_feld = new anywheresoftware.b4a.objects.EditTextWrapper();Debug.locals.put("Feld", _feld);
 BA.debugLineNum = 211;BA.debugLine="Send=Sender";
Debug.ShouldStop(262144);
_send.setObject((android.view.View)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA)));
 BA.debugLineNum = 213;BA.debugLine="For x = 0 To scvMitarbeiter.Panel.NumberOfViews - 1";
Debug.ShouldStop(1048576);
{
final double step133 = 1;
final double limit133 = (int)(mostCurrent._scvmitarbeiter.getPanel().getNumberOfViews()-1);
for (_x = (int)(0); (step133 > 0 && _x <= limit133) || (step133 < 0 && _x >= limit133); _x += step133) {
Debug.locals.put("x", _x);
 BA.debugLineNum = 215;BA.debugLine="Panel1=scvMitarbeiter.Panel.GetView(x)";
Debug.ShouldStop(4194304);
_panel1.setObject((android.view.ViewGroup)(mostCurrent._scvmitarbeiter.getPanel().GetView(_x).getObject()));
 BA.debugLineNum = 217;BA.debugLine="For Each V As View In Panel1";
Debug.ShouldStop(16777216);
_v = new anywheresoftware.b4a.objects.ConcreteViewWrapper();
final anywheresoftware.b4a.BA.IterableList group135 = _panel1;
for (int index135 = 0;index135 < group135.getSize();index135++){
_v.setObject((android.view.View)(group135.Get(index135)));
Debug.locals.put("v", _v);
 BA.debugLineNum = 218;BA.debugLine="If V Is EditText Then";
Debug.ShouldStop(33554432);
if (_v.getObjectOrNull() instanceof android.widget.EditText) { 
 BA.debugLineNum = 219;BA.debugLine="If V.Tag = Send.Tag Then";
Debug.ShouldStop(67108864);
if ((_v.getTag()).equals(_send.getTag())) { 
 BA.debugLineNum = 220;BA.debugLine="Feld = V";
Debug.ShouldStop(134217728);
_feld.setObject((android.widget.EditText)(_v.getObject()));
 BA.debugLineNum = 221;BA.debugLine="Feld.Text = Value";
Debug.ShouldStop(268435456);
_feld.setText((Object)(_value));
 };
 };
 }
Debug.locals.put("v", _v);
;
 }
}Debug.locals.put("x", _x);
;
 BA.debugLineNum = 227;BA.debugLine="End Sub";
Debug.ShouldStop(4);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
  public Object[] GetGlobals() {
		return new Object[] {"Activity",_activity,"scvMitarbeiter",_scvmitarbeiter};
}
}
